#ifndef __SS_IAC_H
#define __SS_IAC_H

#ifdef __cplusplus
extern "C"
{
#endif

#define SS_APP_SERIVCE                       "SS"

#define SS_IAC_SERVICE                       "app.ss.service"
#define SS_IAC_OBJECT                        "/app/ss/service"
#define SS_IAC_INTERFACE                     "app.ss.service"

typedef struct  _SSMessParser SSMessParser;
typedef enum    _Applicant    Applicant;
typedef enum    _ControlType  ControlType;
typedef struct  _ValueTrue    ValueTrue;

enum _Applicant {
  APP_VOC,
  APP_SMS
};


enum _ControlType {
  CON_LOCATION,
  CON_MUTE,
  CON_STOP,
  CON_VOLUME,
  CON_REMUTE,
  CON_PAUSE,
  CON_CONTINUE,
  CON_NOTHING
};


struct _ValueTrue {
  gchar        *location;
  gdouble      double_float;
};


struct _SSMessParser {
  Applicant    applicant;
  ControlType  type;
  ValueTrue    value;
};


gboolean      ss_iac_initialize        (void);
void          ss_iac_finalize          (void);
SSMessParser *ss_iac_get_controller    (void);

// #define SMS_IAC_METHOD_SEND_SMS               "send_sms"
    
#ifdef __cplusplus
}
#endif

#endif /*__ABOOK_IAC_SHARED_H*/

